Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.evt
Class ProcessInstanceStartedEvent

    java.lang.Object
      org.apache.ode.bpel.evt.BpelEvent
          org.apache.ode.bpel.evt.ProcessEvent
              org.apache.ode.bpel.evt.ProcessInstanceEvent
                  org.apache.ode.bpel.evt.ProcessInstanceStartedEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ProcessInstanceStartedEvent

extends ProcessInstanceEvent

Event indicating the start (post creation) of a new process instance.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent
`BpelEvent.TYPE`

Field Summary

Fields inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventContext`

Constructor Summary
`ProcessInstanceStartedEvent()`

Method Summary
`java.lang.Long` | `getRootScopeId()`
`int` | `getScopeDeclarationId()`
`void` | `setRootScopeId(java.lang.Long rootScopeId)`
`void` | `setScopeDeclarationId(int scopeDeclarationId)`

Methods inherited from class org.apache.ode.bpel.evt.ProcessInstanceEvent
`getProcessInstanceId, getType, setProcessInstanceId`

Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent
`getProcessId, getProcessName, setProcessId, setProcessName`

Methods inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessInstanceStartedEvent

    public ProcessInstanceStartedEvent()

Method Detail

### getRootScopeId

    public java.lang.Long getRootScopeId()

### setRootScopeId

    public void setRootScopeId(java.lang.Long rootScopeId)

### getScopeDeclarationId

    public int getScopeDeclarationId()

### setScopeDeclarationId

    public void setScopeDeclarationId(int scopeDeclarationId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD